Package twisted :: Package protocols :: Module pcp :: Class ProducerConsumerProxy

[show private | hide private]
[frames | no frames]

## Class ProducerConsumerProxy

    BasicProducerConsumerProxy --+
                                 |
                                ProducerConsumerProxy

Known Subclasses:
  `ShapedConsumer`

ProducerConsumerProxy with a finite buffer.

When my buffer fills up, I have my parent Producer pause until my buffer has room in it again.

Method Summary
| `__init__(self, consumer)` (inherited from `BasicProducerConsumerProxy`)
| `__repr__(self)` (inherited from `BasicProducerConsumerProxy`)
| `finish(self)` (inherited from `BasicProducerConsumerProxy`)
| `pauseProducing(self)`
| `registerProducer(self, producer, streaming)`
| `resumeProducing(self)`
| `stopProducing(self)` (inherited from `BasicProducerConsumerProxy`)
| `unregisterProducer(self)`
| `write(self, data)`

Class Variable Summary
`int` | `bufferSize`
`int` | `producerPaused`
`int` | `unregistered`

Class Variable Details

### bufferSize

  Type:
    `int`
  Value:

        65536

### producerPaused

  Type:
    `int`
  Value:

        0

### unregistered

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:46 2003 | http://epydoc.sf.net